<html>
<!--    cibl&eacute; par: gestion-contrat.php 

		cible:  gestion-contrat.php						
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-code_contrat
							-code_client

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_contrat
							-code_client
	 
 -->			
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Ajout d'un chalet</title>

<!--**************************SCRIPT POUR LE CALCUL AUTOMATIQUE DANS LES CELLULES***********************  -->
<script type="text/javascript">
<!--
function majligne()
{
	var result;

	result = ((document.ajout_chalet.prix_par_jour.value/1) * (document.ajout_chalet.nuite.value/1)+document.ajout_chalet.frais_terrain.value/1);
	document.ajout_chalet.plein_prix.value = Math.round(result*100)/100;
}
//-->
</script> 
<!--**************************************************************************************************** -->

</head>


<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("../contract/calendrier.php");
require("../contract/gestion-poste.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

$code_contrat = $_GET["code_contrat"];
$type_reservation = $_GET["type_reservation"];
$nuite = $_GET["nuite"];
$etape = $_GET["etape"];
$chalet = $_GET["chalet"];

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");
	
//*************************************************************************
// requ&ecirc;te pour avoir tout les clients

$sql = "SELECT num_chalet, nom  
          FROM base_ref1chalets
		 WHERE base_ref1chalets.actif = 'O'
		 ORDER BY nom asc;";

$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table ref1chalets".$sql);




//*****************************************************************************************************
// afficher les r&eacute;sultats *****************************************************************************
//*****************************************************************************************************
//Afficher le titre de la page.
   
	

if ($etape ==1)//enregistrer les donn&eacute;es
{




	//PREND UN BACKUP DES ANCIENNE DONN&Eacute;ES	
	$sql = "SELECT base_reservation.date_debut, base_reservation.date_fin, base_reservation.cal_debut, base_reservation.cal_fin
   			  FROM base_reservation
	 		 WHERE base_reservation.code_reservation = '$code_contrat';";
	$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_reservation<br><br>".$sql);
	$row2 = mysqli_fetch_row($result2);
	$row_date_debut = $row2[0];
	$row_date_fin = $row2[1];
	$row_cal_debut = $row2[2];
	$row_cal_fin = $row2[3];
	$stop = 0 ;
			
	//BACKUP DES ANCIENNES DONN&Eacute;ES AU CAS OU LA MODIFICATION N'EST PAS VALID&Eacute;		
	$sql = "SELECT base_reservation.date_debut, base_reservation.date_fin, base_reservation.cal_debut, base_reservation.cal_fin
	  		  FROM base_reservation
	 		 WHERE base_reservation.code_reservation = '$code_contrat';";
	$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
			$backup_chalet = mysqli_fetch_row($result2);	

	//VALIDE LA NOUVELLES DATE	

		list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4) = calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type_reservation,1,$chalet,$code_contrat,$type_reservation); //fonction dans calendrier.php,   le 1 est pour ajout
		$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4);
	
			
	//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
	if ($validation > 0)//si le calendrier est ok, on proc&egrave;de &agrave; la suite de l'enregistrement du contrat
	{
		$erreur = 0;
		//POUR CHAQUE ENREGISTREMENT DU CHALET
		for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
		{
			$requete1 = $tableau_chalet[$j][4][$a]; 
			$etat1 = $tableau_chalet[$j][3][$a];
			$date1 = $tableau_chalet[$j][2][$a];
			$num_chalet1 = $tableau_chalet[$j][1];

				$c1= $tableau_chalet[$j][6][$a];
				if ($c1 == $code_contrat)
					$c1= "-".$tableau_chalet[$j][6][$a];
				
				$c2= $tableau_chalet[$j][7][$a];
				if ($c2 == $code_contrat)
					$c2= "-".$tableau_chalet[$j][7][$a];
					
				$c3= $tableau_chalet[$j][8][$a];
				if ($c3 == $code_contrat)
					$c3= "-".$tableau_chalet[$j][8][$a];
					
				$c4= $tableau_chalet[$j][9][$a];
				if ($c4 == $code_contrat)
					$c4= "-".$tableau_chalet[$j][9][$a];
		
			//SI C'EST POUR UN UPDATE
			if ($requete1 == 2)
			{
				$sql = "UPDATE base_calendrier SET etat = '$etat1',";
				if (!empty($c1))
					$sql .= "base_calendrier.c1 = '$c1',";		   
				if (!empty($c2))
					$sql .= "base_calendrier.c2 = '$c2',";
				if (!empty($c3))
					$sql .= "base_calendrier.c3 = '$c3',";
				if (!empty($c4))
					$sql .= "base_calendrier.c4 = '$c4',";		
				$sql.= "mis_a_jour = now()
						 WHERE base_calendrier.date = '$date1'
						   AND num_chalet = '$num_chalet1';";
				$result3 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me dupdate de la date: ".$date."<br>sql=".$sql."...<br>");
			}
			//SI C'EST POUR UN INSERT
			if ($requete1 == 1)
			{
				$sql = "INSERT INTO base_calendrier SET base_calendrier.date = '$date1',";
				if (!empty($c1))
					$sql .= "base_calendrier.c1 = '$c1',";		   
				if (!empty($c2))
					$sql .= "base_calendrier.c2 = '$c2',";
				if (!empty($c3))
					$sql .= "base_calendrier.c3 = '$c3',";
				if (!empty($c4))
					$sql .= "base_calendrier.c4 = '$c4',";		
									$sql .= "num_chalet = '$num_chalet1',
									etat = '$etat1',
									mis_a_jour = now();";
				$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me d'enregistrement de la date: ".$date."<br><br>".$sql);
			}
		}
			
		

	$plein_prix = ($prix_par_jour * $nuite) + $frais_terrain;		
	$sql = "INSERT INTO base_chalets
				    SET num_chalet = '$chalet',
					    code_contrat = '$code_contrat',
						reservation = 'O',
					    actif = 'O',
					    date_modif = now(),
					    mis_a_jour = now();";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation des chalets!<br>".$sql);
	print("<center>L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s.<br><a href='reservation-contract.php?Bsession_id=".$Bsession_id."&numero=".$code_contrat."&val_chalet=1><img src=bouton5.gif border=0></a><br><br>");
	historique("../historique.txt","---RESERVATION,ajout chalet: ".$chalet." ",$Bsession_id);
	
	$prec_etat = 'O';

	}
	if ($validation == 0)
	{
		$erreur = 1;
		print("<center><b><br>");
		print("La p&eacute;riode de r&eacute;servation que vous avez choisi est d&eacute;j&agrave; occup&eacute; par un autre contrat. Veuillez en choisir une autre.<br><br>");
		print("<a href='reservation-contract.php?Bsession_id=".$Bsession_id."&numero=".$code_contrat."&val_chalet=1><img src=bouton5.gif border=0></a>");
	}	


			
}	
	
	
	
	
	
	
	
	
if (empty($etape))//entrer les donn&eacute;es
{	

	historique("../historique.txt","RESERVATION,MENU AJOUT D'UN CHALET",$Bsession_id);
	print("<center><table cellspacing=0 cellpadding=0 width=500px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><a href=\"../calendrier/calendrier.php?Bsession_id=$Bsession_id\" target=blank><img src=bouton_calendrier.gif border=0></a>");
	print("<font face=Arial,Helvetica size=3 color=white><b>Ajout d'un chalet</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");


	//titre	   
	print("<table cellspacing=0 cellpadding=0 width=500px border=0>");	
	print("<tr><td bgcolor=#D6E4AC>");
	print("<b>Chalet</b>");


	print("<form action=\"ajout-chalet.php\" method=\"get\" name=\"ajout_chalet\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=\"".$_GET['Bsession_id']."\">");
	print("<input type=\"hidden\" name=\"code_contrat\" value=\"".$code_contrat."\">");
	print("<input type=\"hidden\" name=\"type_reservation\" value=\"".$type_reservation."\">");
	print("<input type=\"hidden\" name=\"nuite\" value=\"".$nuite."\">");	
	print("<input type=\"hidden\" name=\"etape\" value=\"1\">");
	print("</td></tr><tr><td bgcolor=#D6E4AC valign=top>");
	
	//boite de selection
	print("<select name=\"chalet\">");
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql);
	while ($row = mysqli_fetch_row($result))
	{
		for ($i = 0; $i < (($___mysqli_tmp = mysqli_num_fields($result)) ? $___mysqli_tmp : false); $i++)
		{
			print ("<option value=\"");
			printf ("%s", htmlspecialchars ($row[$i++]));
			print ("\">");
			printf ("%s", htmlspecialchars ($row[$i]));
			print ("</option>");
		}
	}
	print("</td><td bgcolor=#C8DB8D>");
	
	//bouton ajouter
	print("</td></tr><tr><td bgcolor=#E7EFCE colspan = 5><b><center><div align=right>");	
	print("<input type=\"submit\" value=\"Ajouter\"></form>");
	print("</td></tr></table>");
	

	
print("<center><table cellspacing=0 cellpadding=0 width=500px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");	
	
print("<a href='reservation-contract.php?Bsession_id=".$Bsession_id."&numero=".$code_contrat."&val_chalet=1><img src=bouton5.gif border=0></a>");	
	
}


	
?>

</body>
</html>	
	
	
	
	
